> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/note-pin/28.-mutation-salva-piu-note-operazione-batch.md).

# 28. Mutation: salva più "Note", operazione batch

Questa mutation ti permette di allegare più Note a un Campo specificato.

{% hint style="success" %}
La quantità massima di Note da salvare è 25.
{% endhint %}

{% hint style="success" %}
Aggiungi il `uuid` attributo nell'input per aggiornare la Nota.
{% endhint %}

* Una Nota può essere collegata al Campo tramite il suo identificatore univoco `fieldUuid,`  al SoilDataset associato tramite `soilDatasetUuid`, alla ZonesMap tramite `vectorAnalysisMapUuid`.
* La coordinata della Nota può essere impostata usando il `centroid` attributo, che richiede definite `latitude` e `longitude` valori.&#x20;
* Il tipo di Nota può essere specificato usando l' `tipo` attributo con valori accettabili `PLANNED` o `REAL`.&#x20;
* La descrizione della Nota può essere fornita usando il `comment` attributo. Se la descrizione deve essere multilinea, la `comment` attributo dovrebbe contenere una stringa con caratteri di nuova riga `\\n` per separare le righe. Per esempio: `"Prima riga. è qui\\nSeconda riga è qui.\\nTerza riga è qui."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: PLANNED,
      comment: "Batch save: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch update: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch save: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch save: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    dataCreazione
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/note-pin/28.-mutation-salva-piu-note-operazione-batch.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
